/* lp_dtpr.h
 * Neil Moore <neil@cs.uky.edu>
 * 30 Mar 1999
 *
 * Part of liblp.  See COPYRIGHT for copyright information.
 */
#ifndef _LP_DTPR_H_INCLUDED
#define _LP_DTPR_H_INCLUDED

#include <stdio.h>

/* Print a program as a default theory */
int lp_dt_print_program(struct lp *prog, const char *infilename, const char *basename);
/* Print a rule as a default */
void lp_dt_print_default(FILE *d, struct lp *prog, struct lp_rule *rule);

const char *lp_dtpr_error(void);

#endif /* _LP_DTPR_H_INCLUDED */
